import java.io.*;
import javax.swing.*;
import javax.tools.*;
import java.util.*;
import java.lang.Integer;
import java.awt.*;
import java.awt.event.*;
import java.awt.font.*;
import java.awt.geom.*;
import java.awt.image.*;
import javax.swing.*;
import java.util.Locale;
import java.text.*;
import java.util.*;
import javax.swing.table.*;
import static java.lang.Math.*;

class ce3DC extends JApplet 
{ 
	 public ce3DC(double a[],int n,String s)
	 { 
     int n1=a.length;
     f3DC fa=new f3DC(); 
     if(n1==6)
	 {ContourPlot pp = new ContourPlot(fa,a[0],a[1],(int)a[5],a[2],a[3],(int)a[6],n, false,s, "x", "y");
      pp.plot();
	 }
     else
     {ContourPlot pp = new ContourPlot(fa,a[0],a[1],100,a[2],a[3],100,n, false,
		s, "x", "y");
		pp.plot();								
     }									
	  
	 }
	 
 }
